Skip to main content

Update Brand Asset Resource

API Description​

Update a brand asset resource by supplying the unique Apple-generated ID assigned to the partner’s description of the resource, along with resource's description in full, not just the fields requiring updating. Any field that is omitted SHALL be interpreted as a deletion.

Request​

URI Parameters​

NameInput
orgId
REQUIRED
brandId
REQUIRED
assetId
REQUIRED
Path Template
PUT {url}/api/{version}/orgs/{orgId}/brands/{brandId}/assets/{assetId}
Path Example
PUT {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/assets/9467895078742654944

Request Headers​

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
If-Match
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json
If-Match: "58df050c-ddd1-11ec-b406-17be3fa34229"

Request Body​

NameInput
$.id
REQUIRED
$.brandAssetDetails
REQUIRED
Example Request Body (raw JSON)
{
"id": "9467895078742654944",
"brandAssetDetails": {
"imageId": "1e863dc0-0980-11f0-9cd2-0242ac120002",
"partnersAssetId": "brand_asset_10101",
"intent": "PLACECARD_LOGO",
"altTexts": [
{
"text": "A barista preparing a cafe latte",
"locale": "en"
}
]
}
}

Response​

200 OK or Error

Response Headers​

Name
apple-request-id
content-type
etag
location
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 492b9159-2fca-41ac-a23d-3299d978d7ec
content-type: application/json
etag: "aecac74e-ddd1-11ec-b1ec-abfe04d1a2ef"
location: /api/v1/orgs/9467895078742654934/brands/9467895078742654921/assets/9467895078742654944

Response Body​

Refer to create operation's response body for property descriptions.

Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654944",
"createdDate": "2026-10-01T17:22:19.00Z",
"updatedDate": "2026-10-03T10:52:39.00Z",
"state": "SUBMITTED",
"etag": "aecac74e-ddd1-11ec-b1ec-abfe04d1a2ef",
"brandAssetDetails": {
"imageId": "1e863dc0-0980-11f0-9cd2-0242ac120002",
"partnersAssetId": "brand_asset_10101",
"intent": "PLACECARD_LOGO",
"altTexts": [
{
"text": "A barista preparing a cafe latte",
"locale": "en"
}
]
},
"validationReports": []
}